Last Comment Bug 537481 - Don't ship dictionaries with language packs
: Don't ship dictionaries with language packs
Status: RESOLVED FIXED
: fixed-seamonkey2.0.3
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
Depends on: 526505
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-01 16:13 PST by Robert Kaiser (not working on stability any more)
Modified: 2010-01-10 15:31 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
don't include dictionaries in langpacks (1.93 KB, patch)
2010-01-01 17:45 PST, Robert Kaiser (not working on stability any more)
l10n: review-
Details | Diff | Review
v2 - fully sync with what Firefox does (1.40 KB, patch)
2010-01-02 04:00 PST, Robert Kaiser (not working on stability any more)
l10n: review+
mnyromyr: approval‑seamonkey2.0.3+
Details | Diff | Review

Description Robert Kaiser (not working on stability any more) 2010-01-01 16:13:44 PST
SeaMonkey currently ship dictionaries with language packs but unfortunately, the licensing story there is somewhat unclear and it's probably not optimal to lose a selected dictionary when switching locales, so it's best to follow what Firefox and Thunderbird are doing and just exclude dictionaries from SeaMonkey builds.
Comment 1 Robert Kaiser (not working on stability any more) 2010-01-01 17:45:36 PST
Created attachment 419767 [details] [diff] [review]
don't include dictionaries in langpacks

This should be it. I don't have a locale around that builds and/or has a dictionary right now, so I can't test it atm, but normal build is not broken and this should be trivial.

Axel, there's nothing else where we should refer to this, right?
Comment 2 Axel Hecht [:Pike] 2010-01-02 03:43:46 PST
Comment on attachment 419767 [details] [diff] [review]
don't include dictionaries in langpacks

The clobber-zip piece should stay, otherwise you're breaking the dictionaries for the binary builds.

I guess the trailing ';' can go, too.

Compare with the target in l10n.mk, http://mxr.mozilla.org/mozilla-central/source/toolkit/locales/l10n.mk#175

The only difference should be the searchplugins there.
Comment 3 Robert Kaiser (not working on stability any more) 2010-01-02 04:00:30 PST
Created attachment 419781 [details] [diff] [review]
v2 - fully sync with what Firefox does

Thanks for looking at this, Axel. I actually think our searchplugins don't even work from an extension, so it's probably better to not package them as well and only have stuff in there that actually works (i.e. chrome only).

With that, the new patch should fully sync our langpacks to those Firefox ships (and make conversion to l10n.mk easier in the future).
Comment 4 Axel Hecht [:Pike] 2010-01-02 04:10:51 PST
Comment on attachment 419781 [details] [diff] [review]
v2 - fully sync with what Firefox does

Sounds good.
Comment 5 Robert Kaiser (not working on stability any more) 2010-01-10 14:25:58 PST
Pushed on trunk as http://hg.mozilla.org/comm-central/rev/d8bdb40b098a
Comment 6 Robert Kaiser (not working on stability any more) 2010-01-10 15:31:22 PST
Pushed on branch as http://hg.mozilla.org/releases/comm-1.9.1/rev/eeb567bb0464

Note You need to log in before you can comment on or make changes to this bug.